function [param_,np,modname,neq,nlag,nlead,eqname_,eqtype_,endog_,delay_,vtype_] = ...
     mod25_aim_data()

% mod25_aim_data()
%     This function will return various information about the AIM model,
%     but will not compute the G and H matrices.

  eqname = cell(81, 1);
  param = cell(48, 1);
  endog = cell(81, 1);
  delay = zeros(81, 1);
  vtype = zeros(81, 1);
  eqtype = zeros(81, 1);

  modname = 'mod25';
  neq = 81;
  np = 48;
  nlag = 1;
  nlead = 1;

  eqname(1) = cellstr('LAMC');
  eqname(2) = cellstr('CC');
  eqname(3) = cellstr('if');
  eqname(4) = cellstr('tobq');
  eqname(5) = cellstr('KP');
  eqname(6) = cellstr('RENTK');
  eqname(7) = cellstr('GDP');
  eqname(8) = cellstr('RS');
  eqname(9) = cellstr('MCQ');
  eqname(10) = cellstr('MPL');
  eqname(11) = cellstr('WMARKUP');
  eqname(12) = cellstr('MRS');
  eqname(13) = cellstr('DPQ');
  eqname(14) = cellstr('PQ');
  eqname(15) = cellstr('DW');
  eqname(16) = cellstr('W');
  eqname(17) = cellstr('ZETAP');
  eqname(18) = cellstr('LE');
  eqname(19) = cellstr('UTIL');
  eqname(20) = cellstr('GBT');
  eqname(21) = cellstr('RATCY');
  eqname(22) = cellstr('RATIY');
  eqname(23) = cellstr('RATKY');
  eqname(24) = cellstr('GGDP');
  eqname(25) = cellstr('GLE');
  eqname(26) = cellstr('GLPROD');
  eqname(27) = cellstr('GSRESID');
  eqname(28) = cellstr('DPQL1');
  eqname(29) = cellstr('DPQL2');
  eqname(30) = cellstr('DPQL3');
  eqname(31) = cellstr('DPQYOY');
  eqname(32) = cellstr('GGDPL1');
  eqname(33) = cellstr('GGDPL2');
  eqname(34) = cellstr('GGDPL3');
  eqname(35) = cellstr('GGDPYOY');
  eqname(36) = cellstr('RRATEPOT');
  eqname(37) = cellstr('LAMCPOT');
  eqname(38) = cellstr('IFPOT');
  eqname(39) = cellstr('TOPQPOT');
  eqname(40) = cellstr('KPPOT');
  eqname(41) = cellstr('RENTKPOT');
  eqname(42) = cellstr('CCPOT');
  eqname(43) = cellstr('ZETAPPOT');
  eqname(44) = cellstr('GDPPOT');
  eqname(45) = cellstr('LEPOT');
  eqname(46) = cellstr('UTILPOT');
  eqname(47) = cellstr('UGDP');
  eqname(48) = cellstr('UCC');
  eqname(49) = cellstr('UIF');
  eqname(50) = cellstr('UZETAP');
  eqname(51) = cellstr('UKP');
  eqname(52) = cellstr('ULE');
  eqname(53) = cellstr('ULPROD');
  eqname(54) = cellstr('USRESID');
  eqname(55) = cellstr('UGDPPOT');
  eqname(56) = cellstr('UCCPOT');
  eqname(57) = cellstr('UIFPOT');
  eqname(58) = cellstr('UZETAPPOT');
  eqname(59) = cellstr('ULEPOT');
  eqname(60) = cellstr('ULPRODPOT');
  eqname(61) = cellstr('USRESIDPOT');
  eqname(62) = cellstr('ZT');
  eqname(63) = cellstr('XT');
  eqname(64) = cellstr('GZT');
  eqname(65) = cellstr('GZPT');
  eqname(66) = cellstr('GZTT');
  eqname(67) = cellstr('GXT');
  eqname(68) = cellstr('LABSHKT');
  eqname(69) = cellstr('TAXLSHK');
  eqname(70) = cellstr('TAXKSHK');
  eqname(71) = cellstr('GOVSHK');
  eqname(72) = cellstr('MONSHK');
  eqname(73) = cellstr('ZTT');
  eqname(74) = cellstr('ERRGZPT');
  eqname(75) = cellstr('ERRGXT');
  eqname(76) = cellstr('ERRLABT');
  eqname(77) = cellstr('ERRTAXL');
  eqname(78) = cellstr('ERRTAXK');
  eqname(79) = cellstr('ERRGOV');
  eqname(80) = cellstr('ERRMON');
  eqname(81) = cellstr('ERRZTT');
  eqname_ = char(eqname);

  eqtype(1) = 1;     eqtype(2) = 1;     eqtype(3) = 1;   
  eqtype(4) = 1;     eqtype(5) = 1;     eqtype(6) = 1;   
  eqtype(7) = 1;     eqtype(8) = 1;     eqtype(9) = 1;   
  eqtype(10) = 1;     eqtype(11) = 1;     eqtype(12) = 1;   
  eqtype(13) = 1;     eqtype(14) = 1;     eqtype(15) = 1;   
  eqtype(16) = 1;     eqtype(17) = 1;     eqtype(18) = 1;   
  eqtype(19) = 1;     eqtype(20) = 1;     eqtype(21) = 1;   
  eqtype(22) = 1;     eqtype(23) = 1;     eqtype(24) = 1;   
  eqtype(25) = 1;     eqtype(26) = 1;     eqtype(27) = 1;   
  eqtype(28) = 1;     eqtype(29) = 1;     eqtype(30) = 1;   
  eqtype(31) = 1;     eqtype(32) = 1;     eqtype(33) = 1;   
  eqtype(34) = 1;     eqtype(35) = 1;     eqtype(36) = 1;   
  eqtype(37) = 1;     eqtype(38) = 1;     eqtype(39) = 1;   
  eqtype(40) = 1;     eqtype(41) = 1;     eqtype(42) = 1;   
  eqtype(43) = 1;     eqtype(44) = 1;     eqtype(45) = 1;   
  eqtype(46) = 1;     eqtype(47) = 1;     eqtype(48) = 1;   
  eqtype(49) = 1;     eqtype(50) = 1;     eqtype(51) = 1;   
  eqtype(52) = 1;     eqtype(53) = 1;     eqtype(54) = 1;   
  eqtype(55) = 1;     eqtype(56) = 1;     eqtype(57) = 1;   
  eqtype(58) = 1;     eqtype(59) = 1;     eqtype(60) = 1;   
  eqtype(61) = 1;     eqtype(62) = 1;     eqtype(63) = 1;   
  eqtype(64) = 1;     eqtype(65) = 1;     eqtype(66) = 1;   
  eqtype(67) = 1;     eqtype(68) = 1;     eqtype(69) = 1;   
  eqtype(70) = 1;     eqtype(71) = 1;     eqtype(72) = 1;   
  eqtype(73) = 1;     eqtype(74) = 1;     eqtype(75) = 1;   
  eqtype(76) = 1;     eqtype(77) = 1;     eqtype(78) = 1;   
  eqtype(79) = 1;     eqtype(80) = 1;     eqtype(81) = 1;   

  eqtype_ = eqtype;

  param(1) = cellstr('phic');
  param(2) = cellstr('gzbar');
  param(3) = cellstr('deltahat');
  param(4) = cellstr('delta');
  param(5) = cellstr('phik');
  param(6) = cellstr('phii');
  param(7) = cellstr('rbar');
  param(8) = cellstr('tauk');
  param(9) = cellstr('cessub');
  param(10) = cellstr('utilcon');
  param(11) = cellstr('shrgy');
  param(12) = cellstr('shrcy');
  param(13) = cellstr('shriy');
  param(14) = cellstr('gami');
  param(15) = cellstr('gampi');
  param(16) = cellstr('gamy');
  param(17) = cellstr('gamy4');
  param(18) = cellstr('gamle');
  param(19) = cellstr('gamys');
  param(20) = cellstr('gamgap');
  param(21) = cellstr('gamgaplag');
  param(22) = cellstr('taul');
  param(23) = cellstr('chi');
  param(24) = cellstr('lampb');
  param(25) = cellstr('beta');
  param(26) = cellstr('lampf');
  param(27) = cellstr('kappap');
  param(28) = cellstr('lamwb');
  param(29) = cellstr('lamwf');
  param(30) = cellstr('kappaw');
  param(31) = cellstr('qcapshr');
  param(32) = cellstr('mu1');
  param(33) = cellstr('rho1');
  param(34) = cellstr('sdev1');
  param(35) = cellstr('rho2');
  param(36) = cellstr('sdev2');
  param(37) = cellstr('rho3');
  param(38) = cellstr('sdev3');
  param(39) = cellstr('rho4');
  param(40) = cellstr('sdev4');
  param(41) = cellstr('rho5');
  param(42) = cellstr('sdev5');
  param(43) = cellstr('rho6');
  param(44) = cellstr('sdev6');
  param(45) = cellstr('rho7');
  param(46) = cellstr('sdev7');
  param(47) = cellstr('rho8');
  param(48) = cellstr('sdev8');
  param_ = char(param);

  endog(1) = cellstr('lamc');
  endog(2) = cellstr('cc');
  endog(3) = cellstr('if');
  endog(4) = cellstr('tobq');
  endog(5) = cellstr('kp');
  endog(6) = cellstr('rentk');
  endog(7) = cellstr('gdp');
  endog(8) = cellstr('rs');
  endog(9) = cellstr('mcq');
  endog(10) = cellstr('mpl');
  endog(11) = cellstr('wmarkup');
  endog(12) = cellstr('mrs');
  endog(13) = cellstr('dpq');
  endog(14) = cellstr('pq');
  endog(15) = cellstr('dw');
  endog(16) = cellstr('w');
  endog(17) = cellstr('zetap');
  endog(18) = cellstr('le');
  endog(19) = cellstr('util');
  endog(20) = cellstr('gbt');
  endog(21) = cellstr('ratcy');
  endog(22) = cellstr('ratiy');
  endog(23) = cellstr('ratky');
  endog(24) = cellstr('ggdp');
  endog(25) = cellstr('gle');
  endog(26) = cellstr('glprod');
  endog(27) = cellstr('gsresid');
  endog(28) = cellstr('dpql1');
  endog(29) = cellstr('dpql2');
  endog(30) = cellstr('dpql3');
  endog(31) = cellstr('dpqyoy');
  endog(32) = cellstr('ggdpl1');
  endog(33) = cellstr('ggdpl2');
  endog(34) = cellstr('ggdpl3');
  endog(35) = cellstr('ggdpyoy');
  endog(36) = cellstr('rratepot');
  endog(37) = cellstr('lamcpot');
  endog(38) = cellstr('ifpot');
  endog(39) = cellstr('tobqpot');
  endog(40) = cellstr('kppot');
  endog(41) = cellstr('rentkpot');
  endog(42) = cellstr('ccpot');
  endog(43) = cellstr('zetappot');
  endog(44) = cellstr('gdppot');
  endog(45) = cellstr('lepot');
  endog(46) = cellstr('utilpot');
  endog(47) = cellstr('ugdp');
  endog(48) = cellstr('ucc');
  endog(49) = cellstr('uif');
  endog(50) = cellstr('uzetap');
  endog(51) = cellstr('ukp');
  endog(52) = cellstr('ule');
  endog(53) = cellstr('ulprod');
  endog(54) = cellstr('usresid');
  endog(55) = cellstr('ugdppot');
  endog(56) = cellstr('uccpot');
  endog(57) = cellstr('uifpot');
  endog(58) = cellstr('uzetappot');
  endog(59) = cellstr('ulepot');
  endog(60) = cellstr('ulprodpot');
  endog(61) = cellstr('usresidpot');
  endog(62) = cellstr('zt');
  endog(63) = cellstr('xt');
  endog(64) = cellstr('gzt');
  endog(65) = cellstr('gzpt');
  endog(66) = cellstr('gztt');
  endog(67) = cellstr('gxt');
  endog(68) = cellstr('labshkt');
  endog(69) = cellstr('taxlshk');
  endog(70) = cellstr('taxkshk');
  endog(71) = cellstr('govshk');
  endog(72) = cellstr('monshk');
  endog(73) = cellstr('ztt');
  endog(74) = cellstr('errgzpt');
  endog(75) = cellstr('errgxt');
  endog(76) = cellstr('errlabt');
  endog(77) = cellstr('errtaxl');
  endog(78) = cellstr('errtaxk');
  endog(79) = cellstr('errgov');
  endog(80) = cellstr('errmon');
  endog(81) = cellstr('errztt');
  endog_ = char(endog);

  delay(1) = 0;     delay(2) = 0;     delay(3) = 0;   
  delay(4) = 0;     delay(5) = 0;     delay(6) = 0;   
  delay(7) = 0;     delay(8) = 0;     delay(9) = 0;   
  delay(10) = 0;     delay(11) = 0;     delay(12) = 0;   
  delay(13) = 0;     delay(14) = 0;     delay(15) = 0;   
  delay(16) = 0;     delay(17) = 0;     delay(18) = 0;   
  delay(19) = 0;     delay(20) = 0;     delay(21) = 0;   
  delay(22) = 0;     delay(23) = 0;     delay(24) = 0;   
  delay(25) = 0;     delay(26) = 0;     delay(27) = 0;   
  delay(28) = 0;     delay(29) = 0;     delay(30) = 0;   
  delay(31) = 0;     delay(32) = 0;     delay(33) = 0;   
  delay(34) = 0;     delay(35) = 0;     delay(36) = 0;   
  delay(37) = 0;     delay(38) = 0;     delay(39) = 0;   
  delay(40) = 0;     delay(41) = 0;     delay(42) = 0;   
  delay(43) = 0;     delay(44) = 0;     delay(45) = 0;   
  delay(46) = 0;     delay(47) = 0;     delay(48) = 0;   
  delay(49) = 0;     delay(50) = 0;     delay(51) = 0;   
  delay(52) = 0;     delay(53) = 0;     delay(54) = 0;   
  delay(55) = 0;     delay(56) = 0;     delay(57) = 0;   
  delay(58) = 0;     delay(59) = 0;     delay(60) = 0;   
  delay(61) = 0;     delay(62) = 0;     delay(63) = 0;   
  delay(64) = 0;     delay(65) = 0;     delay(66) = 0;   
  delay(67) = 0;     delay(68) = 0;     delay(69) = 0;   
  delay(70) = 0;     delay(71) = 0;     delay(72) = 0;   
  delay(73) = 0;     delay(74) = 0;     delay(75) = 0;   
  delay(76) = 0;     delay(77) = 0;     delay(78) = 0;   
  delay(79) = 0;     delay(80) = 0;     delay(81) = 0;   

  delay_ = delay;

  vtype(1) = 1;     vtype(2) = 1;     vtype(3) = 1;   
  vtype(4) = 1;     vtype(5) = 1;     vtype(6) = 1;   
  vtype(7) = 1;     vtype(8) = 1;     vtype(9) = 1;   
  vtype(10) = 1;     vtype(11) = 1;     vtype(12) = 1;   
  vtype(13) = 1;     vtype(14) = 1;     vtype(15) = 1;   
  vtype(16) = 1;     vtype(17) = 1;     vtype(18) = 1;   
  vtype(19) = 1;     vtype(20) = 1;     vtype(21) = 1;   
  vtype(22) = 1;     vtype(23) = 1;     vtype(24) = 1;   
  vtype(25) = 1;     vtype(26) = 1;     vtype(27) = 1;   
  vtype(28) = 1;     vtype(29) = 1;     vtype(30) = 1;   
  vtype(31) = 1;     vtype(32) = 1;     vtype(33) = 1;   
  vtype(34) = 1;     vtype(35) = 1;     vtype(36) = 1;   
  vtype(37) = 1;     vtype(38) = 1;     vtype(39) = 1;   
  vtype(40) = 1;     vtype(41) = 1;     vtype(42) = 1;   
  vtype(43) = 1;     vtype(44) = 1;     vtype(45) = 1;   
  vtype(46) = 1;     vtype(47) = 1;     vtype(48) = 1;   
  vtype(49) = 1;     vtype(50) = 1;     vtype(51) = 1;   
  vtype(52) = 1;     vtype(53) = 1;     vtype(54) = 1;   
  vtype(55) = 1;     vtype(56) = 1;     vtype(57) = 1;   
  vtype(58) = 1;     vtype(59) = 1;     vtype(60) = 1;   
  vtype(61) = 1;     vtype(62) = 1;     vtype(63) = 1;   
  vtype(64) = 1;     vtype(65) = 1;     vtype(66) = 1;   
  vtype(67) = 1;     vtype(68) = 1;     vtype(69) = 1;   
  vtype(70) = 1;     vtype(71) = 1;     vtype(72) = 1;   
  vtype(73) = 1;     vtype(74) = 1;     vtype(75) = 1;   
  vtype(76) = 1;     vtype(77) = 1;     vtype(78) = 1;   
  vtype(79) = 1;     vtype(80) = 1;     vtype(81) = 1;   

  vtype_ = vtype;



