utilcon = 1;   % if utilcon = 0, no endogenous capacity utilization choice
mu1 = 0.01;  
beta = 1.03^(-.25);
gzbar = 1.0037;
delta = .02;
deltahat = gzbar - (1 - delta);
tauk = .38;
taul = .22;
rbar = gzbar/beta - 1;
rkbar = rbar/(1-tauk) + delta;


shrgy = .2;    % govt spending share of GDP
phik = 0;
phii = 2;
phic = 0.6;      % habit persistence parameter in consumption
chi = 1.5;
cessub = 0;     % CES parameter in production;  cessub = 0 is Cobb Douglass case, if less than 0, then move
                % towards Leontief

shriy = .2;  %consistent with CobbDoug (cessub = 0) 

% if cessub == 0
%     alpha = 0.35;
%     shriy = gzbar*alpha*(1-((1-delta)/gzbar))/rkbar;
% end;

% monetary policy reaction coefficients estimated for U.S. over
% 1980:1-2002:4 period by Ahmed, Croke, and Erceg 
% gami = .79;                
% gampi = .37;                
% gamy = 0;
% gamy4 = 0*.15;
% gamys = 0*.15;
% gamle = 0;
% gamgap = .125*(1-.79);
% gamgaplag = 0;


% estimated rule in growth see eviews file
% newvcu/rsrule.wf1
% see regression rseqgmmlag
% regression sample: 1983:1 2002:4
% use IV instrumenting for output and inflation with a lag of output and
% inflation. 
% results are robust to inclusion of more lags of output and inflation and
% generalization to GMM
 gami = .8;
 gampi = .61;
 gamy = 0;
 gamy4 = 0.28;
 gamle = 0;
 gamgap = 0%1.17/4;
 gamgaplag = 0%-0.97/4;
 gamys = 0;

%Taylor Rule
%  gami = 0;
%  gampi = 1.5;
%  gamy = 0;
%  gamy4 = 0;
%  gamle = 0;
%  gamgap = .5/4%1.17/4;
%  gamgaplag = 0%-0.97/4;
%  gamys = 0;
                
% parameters characterizing price/wage stickiness
psip = .75;  
psiw = .75; 
lampb = 0;  % coefficient on price inflation lag in price-setting equation
lampf = 1;  % coefficient on price inflation lead in price-setting equation
lamwb = 0;  % coefficient on wage inflation lag in price-setting equation
lamwf = 1;  % coefficient on wage inflation lead in price-setting equation
thetap = .05;  % price markup (only affects steady state)
thetaw = .2;   % wage markup


rho1 = 0;   % technology growth shock (gzt)
rho2 = 0;     % labor supply growth rate shock (gxt)
rho3 = .95;   % transient labor supply shock (labshkt)
rho4 =  .98;  % labor tax rate shock (taxlshk)
rho5 = .97;   % capital tax rate shock (taxkshk)
rho6 = .98;   % govt spending (govshk) - estimated over 1958-2002 using gov't consumption as share of GDP
rho7 = 0;     % monetary policy shock
rho8 = .95;  % temporary technology shock


sdev1 = .0152;   % technology growth innovation
sdev2 = .0;      % innovation to permanent shock to labor supply 
sdev3 = .0619;   % labor supply shock
sdev4 = .0052;   % labor tax rate innovation
sdev5 = .00;     % capital tax innovation
sdev6 = .003;    % innovation to govt spending share of GDP
sdev7 = .006/4;    % for use with Orphanides and Wieland
sdev8 = .0001;   % technology level innovation

slist = char('gzpt','gxt','labshkt','taxlshk','taxkshk','govshk','monshk','ztt');
% list innovations (make sure ordering of innovations matches ordering of
% shock processes, slist, above)
errlist = char('errgzpt','errgxt','errlabt','errtaxl','errtaxk','errgov','errmon','errztt');



%%%%%%%%%%VAR PARAMETERS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%varlagchoice = -1;   % number of lags in the VAR  
varlagchoice = -1;

size_var = 4;

% sample size
startdt = 51;
enddt = 230;

diff_var = 0;            % set to 1 to include differenced hours in the VAR

vardecomp = 0;      % set to 1 to get variance decomposition for output and hours
                               % at business cycle frequencies
                               
mkdecomp = 0;       % set to 1 to get error decomposition following Faust and Leeper
varlagdecomp = 4;  % lag length for regression using population moments
cons_switch = 3;      % used to choose variables in state space of VAR for the regression using population moments

startdtdecomp2 = 51;    % start and end of sample for bootstrap replication of data used    
enddtdecomp2 = 2051;    % in calculating variance decomposition